#!/usr/bin/env bash

# one can use 'set -u' to have bash exit whenever a variable
# is found that isn't defined.  I prefer to catch it, alert
# the user about the problem, then exit with an error code.
# This is more dangerous and requires that people be careful
# when using environmental variables
# set -u

# Exit the script if ANY command fails
set -e

source env.sh 
if [ -z "${MAUS_WEB_DB}" ]; then
    exit 1;
fi
easy_install django
easy_install pil
mkdir -p $MAUS_WEB_DB
mkdir -p $MAUS_WEB_MEDIA
mkdir -p $MAUS_WEB_MEDIA/raw
mkdir -p $MAUS_WEB_MEDIA/tmp
mkdir -p $MAUS_WEB_MEDIA/thumbs 
